import webpack, { type Configuration } from "webpack";
import TaskBase from "./TaskBase.js";
export declare class WebpackTaskBase extends TaskBase {
    private helperTask;
    private static compileQueue;
    private static compileDoneCallback;
    protected index: number;
    isHotReload: boolean;
    constructor(taskName?: string);
    private compileInvalid;
    private compileWatchRun;
    private compileDone;
    private isAllCompileDone;
    private printCompileResult;
    protected compileFinishedCallback(fn: any): void;
    protected getCompileConfig(config: Configuration): Configuration;
    protected compile(innerConf: webpack.Configuration, isBaseConfigUsed?: boolean): Promise<void | Error>;
    protected getEnvDef(): "development" | "production";
}
export default WebpackTaskBase;
