import ConfigHelper from "./ConfigHelper.js";
export default () => {
    const publicPath = ConfigHelper.getPublicPath();
    const rootOutput = "./dist";
    return {
        assetsMainfest: "assetsMainfest.json",
        rootOutput,
        publicPath,
        staticOutput: `${rootOutput}/${publicPath}`,
        clientOutput: `${rootOutput}/${publicPath}client`,
    };
};
export const devLocalIdentName = "[path][name]__[local]_[contenthash:8]";
export const prodLocalIdentName = "_[contenthash:8]";
export const assetModuleFilename = "assets/[name]_[contenthash][ext][query]";
