import { type Configuration } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class IsomorphicPack extends WebpackTaskBase {
    private clientEntrySrc;
    private globalConfig;
    constructor(taskName?: string);
    private getOptimization;
    private getPlugins;
    protected compile(): Promise<void | Error>;
    protected getCompileConfig(conf: Configuration): Configuration;
    setHotReloadMode(isHotReload: any): this;
}
export default IsomorphicPack;
