import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class ServerPack extends WebpackTaskBase {
    private globalConfig;
    private autoRun;
    private debugPort;
    constructor(taskName?: string);
    private getPlugins;
    private getCssLoaders;
    private getRules;
    protected done(): Promise<void>;
    setAutoRun(autoRun?: boolean): ServerPack;
    protected compile(): Promise<void | Error>;
    setHotReloadMode(isHotReload: any): this;
}
export default ServerPack;
