import { type EntryObject } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export interface IPartialConf {
    entry: EntryObject;
    output: {
        filename: string;
        path: string;
        assetModuleFilename: string;
        library?: unknown;
    };
}
export declare class StandalonePack extends WebpackTaskBase {
    private globalConfig;
    constructor(taskName?: string);
    private scan;
    private getOptimization;
    private getPlugins;
    private getEntryAndOutputConfig;
    private getExternalConfig;
    protected compile(): Promise<void | Error>;
}
export default StandalonePack;
