export declare class TaskBase {
    protected watcher: any;
    protected count: number;
    protected taskName: string;
    protected isWatchMode: boolean;
    protected isDebugMode: boolean;
    protected isAnalyzMode: boolean;
    protected rootPath: string;
    protected src: string;
    protected dist: string;
    protected state: boolean;
    constructor(name: any);
    protected compile(config?: any): Promise<void | Error>;
    protected done(): Promise<void>;
    setWatchMode(isWatchMode: boolean): TaskBase;
    setDebugMode(isDebugMode: boolean): TaskBase;
    setAnalyzMode(isAnalyzMode: boolean): TaskBase;
    run(...args: any[]): Promise<void>;
}
export default TaskBase;
